RENICE(1)

NOMBRE
renice - altera la prioridad de los procesos en ejecución

SINOPSIS

renice [-n] prioridad [-g|-p|-u] identificador...

DESCRIPCIÓN

renice alters the scheduling priority of one or more running processes. The first argument is the priority value to be used. The other arguments are interpreted as process IDs (by default), process group IDs, user IDs, or user names. renice'ing a process group causes all processes in the process group to have their scheduling priority altered. renice'ing a user causes all processes owned by the user to have their scheduling priority altered.

OPCIONES

-n, --priority prioridad
    Specify the scheduling priority to be used for the process, process group, or user. Use of the option -n or --priority is optional, but when used it must be the first argument.

-g, --pgrp
    Interpreta los siguientes argumentos como identificadores de grupos de procesos.

-p, --pid
    Interpret the succeeding arguments as process IDs (the default).

-u, --user
    Interpret the succeeding arguments as usernames or UIDs.

-h, --help
    Muestra un texto de ayuda y finaliza.

-V, --version
    Muestra la versión y finaliza.

ARCHIVOS

/etc/passwd
    para mapear entre los nombres de los usuarios y su ID.

NOTAS

Users other than the superuser may only alter the priority of processes they own. Furthermore, an unprivileged user can only increase the "nice value" (i.e., choose a lower priority) and such changes are irreversible unless (since Linux 2.6.12) the user has a suitable "nice" resource limit (see ulimit(1p) and getrlimit(2)).

The superuser may alter the priority of any process and set the priority to any value in the range -20 to 19. Useful priorities are: 19 (the affected processes will run only when nothing else in the system wants to), 0 (the "base" scheduling priority), anything negative (to make things go very fast).

HISTORIAL

La orden renice apareció en 4.0BSD.

EJEMPLOS

La siguiente orden cambiaría la prioridad de los procesos con ID 987 y 32, y todos los procesos que sean propiedad de los usuarios daemon y root:

renice +1 987 -u daemon root -p 32

VÉASE TAMBIÉN

nice(1), chrt(1), getpriority(2), setpriority(2), credentials(7), sched(7)

INFORMAR DE ERRORES

Para informar de cualquier error, utilice el sistema de seguimiento de fallos

DISPONIBILIDAD

La orden renice forma parte del paquete util-linux que puede descargarse en:

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Juan José López Mellado <laveneno@hotmail.com> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.